## glow 0.10.1

=== DESCRIPTION ===
Package: glow
Title: Make Plots that Glow
Version: 0.10.1
Date: 2020-8-25
Authors@R: c(
    person("Travers", "Ching", email = "traversc@gmail.com", role = c("aut", "cre", "cph"))
	)
Maintainer: Travers Ching <traversc@gmail.com>
Description: Provides a framework for creating plots with glowing points.
License: GPL-3
Biarch: true
Encoding: UTF-8
SystemRequirements: C++11
LinkingTo: Rcpp, RcppEigen, RcppParallel
Imports: Rcpp, RcppParallel, scales, R6
Depends: ggplot2
Suggests: knitr, rmarkdown, viridisLite, magick, qs
VignetteBuilder: knitr
RoxygenNote: 7.1.0
URL: https://github.com/traversc/glow
BugReports: https://github.com/traversc/glow/issues
NeedsCompilation: yes
Packaged: 2020-08-26 04:16:23 UTC; tching
Author: Travers Ching [aut, cre, cph]
Repository: CRAN
Date/Publication: 2020-08-31 08:40:02 UTC

## glow 0.11.0

=== DESCRIPTION ===
Package: glow
Title: Make Plots that Glow
Version: 0.11.0
Date: 2023-4-4
Authors@R: c(
    person("Travers", "Ching", email = "traversc@gmail.com", role = c("aut", "cre", "cph"))
	)
Maintainer: Travers Ching <traversc@gmail.com>
Description: Provides a framework for creating plots with glowing points.
License: GPL-3
Biarch: true
Encoding: UTF-8
LinkingTo: Rcpp, RcppEigen, RcppParallel
Imports: Rcpp, RcppParallel (>= 5.1.2), R6
Depends: ggplot2
Suggests: knitr, rmarkdown, viridisLite, magick, EBImage, qs
VignetteBuilder: knitr
RoxygenNote: 7.1.2
URL: https://github.com/traversc/glow
BugReports: https://github.com/traversc/glow/issues
NeedsCompilation: yes
Packaged: 2023-04-05 19:57:18 UTC; tching
Author: Travers Ching [aut, cre, cph]
Repository: CRAN
Date/Publication: 2023-04-05 22:13:18 UTC

## glow 0.13.0

=== DESCRIPTION ===
Package: glow
Title: Make Plots that Glow
Version: 0.13.0
Date: 2024-09-24
Authors@R: c(
    person("Travers", "Ching", email = "traversc@gmail.com", role = c("aut", "cre", "cph"))
	)
Maintainer: Travers Ching <traversc@gmail.com>
Description: Provides a framework for creating plots with glowing points.
License: GPL-3
Biarch: true
Encoding: UTF-8
LinkingTo: Rcpp, RcppEigen, RcppParallel
Imports: Rcpp, RcppParallel (>= 5.1.2), R6
Depends: ggplot2
Suggests: knitr, rmarkdown, viridisLite, magick, EBImage, qs2
VignetteBuilder: knitr
RoxygenNote: 7.3.2
URL: https://github.com/traversc/glow
BugReports: https://github.com/traversc/glow/issues
NeedsCompilation: yes
Packaged: 2024-09-25 05:11:08 UTC; tching
Author: Travers Ching [aut, cre, cph]
Repository: CRAN
Date/Publication: 2024-09-25 12:30:06 UTC

## glow 2.0.0

=== Makefile ===
# This Makefile is just for development purposes

.PHONY: default clean glow run log

default: glow

clean:
	rm -f ./glow

glow:
	go build

run: clean glow
	./glow

log:
	tail -f ~/.cache/glow/glow.log

=== debian/changelog ===
glow (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1088206)

 -- Otto Kekäläinen <otto@debian.org>  Fri, 27 Dec 2024 21:58:55 -0800

=== debian/control ===
Source: glow
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Otto Kekäläinen <otto@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-alecthomas-chroma-v2-dev,
 golang-github-atotto-clipboard-dev,
 golang-github-caarlos0-env-dev (>= 6.8),
 golang-github-charmbracelet-bubbles-dev,
 golang-github-charmbracelet-bubbletea-dev,
 golang-github-charmbracelet-glamour-dev (>= 0.8),
 golang-github-charmbracelet-lipgloss-dev,
 golang-github-charmbracelet-log-dev,
 golang-github-charmbracelet-x-dev,
 golang-github-dustin-go-humanize-dev,
 golang-github-mattn-go-runewidth-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-muesli-gitcha-dev (>= 0.3),
 golang-github-muesli-go-app-paths-dev,
 golang-github-muesli-mango-cobra-dev,
 golang-github-muesli-mango-pflag-dev,
 golang-github-muesli-reflow-dev,
 golang-github-muesli-roff-dev,
 golang-github-muesli-termenv-dev,
 golang-github-sahilm-fuzzy-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-viper-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-term-dev,
 golang-golang-x-text-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/glow
Vcs-Git: https://salsa.debian.org/go-team/packages/glow.git
Homepage: https://github.com/charmbracelet/glow
XS-Go-Import-Path: github.com/charmbracelet/glow

Package: glow
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Render Markdown on the command-line
 Glow is a terminal based Markdown reader designed from the ground up to bring
 out the beauty — and power — of the command-line.
 .
 Use it to discover Markdown files, read documentation directly on the command
 line. Glow will find local Markdown files in subdirectories or a local git
 repository.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=debian/build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

## glow 2.1.1

=== debian/changelog ===
glow (2.1.1-1) unstable; urgency=medium

  * New upstream release 2.1.1
  * Bump Debian Policy to 4.7.2
  * Fix various issues detected by Lintian
  * Put build artifacts in debian/.build/upstream
  * Start using vanilla salsa-ci.yml and keep gitlab-ci.yml for compatibility
  * Sync gbp.conf contents with improvements suggested in Go team review
  * Add new direct build dependency: golang-github-fsnotify-fsnotify-dev
  * Patch latest Glow for compatibility with older charmbracelet/x/editor

 -- Otto Kekäläinen <otto@debian.org>  Tue, 09 Sep 2025 11:17:47 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Otto Kekäläinen <otto@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -19,6 +18,7 @@
  golang-github-charmbracelet-log-dev,
  golang-github-charmbracelet-x-dev,
  golang-github-dustin-go-humanize-dev,
+ golang-github-fsnotify-fsnotify-dev,
  golang-github-mattn-go-runewidth-dev,
  golang-github-mitchellh-go-homedir-dev,
  golang-github-muesli-gitcha-dev (>= 0.3),
@@ -35,7 +35,7 @@
  golang-golang-x-term-dev,
  golang-golang-x-text-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/glow
 Vcs-Git: https://salsa.debian.org/go-team/packages/glow.git
 Homepage: https://github.com/charmbracelet/glow
@@ -47,7 +47,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Built-Using: ${misc:Built-Using}
+Static-Built-Using:
+ ${misc:Static-Built-Using},
+Built-Using:
+ ${misc:Built-Using},
 Description: Render Markdown on the command-line
  Glow is a terminal based Markdown reader designed from the ground up to bring
  out the beauty — and power — of the command-line.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=debian/.build/upstream --buildsystem=golang

execute_after_dh_auto_build:
	# generate a manpage using the newly built glow's man command
	debian/.build/upstream/bin/glow man > debian/.build/glow.1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/charmbracelet/glow/tags .*/v?(\d\S*)\.tar\.gz debian
